Bug 392722 - Auto copy URL to clipboard after publish to Imgur
Summary: Auto copy URL to clipboard after publish to Imgur
Status: RESOLVED FIXED
Alias: None
Product: Spectacle
Classification: Unclassified
Component: General (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR normal
Target Milestone: ---
Assignee: Boudhayan Gupta
URL:
Keywords: usability
Depends on:
Blocks:
 
Reported: 2018-04-04 13:54 UTC by Murz
Modified: 2018-06-19 22:44 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Murz 2018-04-04 13:54:30 UTC
Please make option for auto copy URL to clipboard after publish to Imgur and other image hosting service.
Comment 1 Murz 2018-04-04 14:16:35 UTC
In Hotshots this option is available and very useful. Also maybe useful auto open url in browser after upload.
Comment 2 Nate Graham 2018-06-12 14:01:19 UTC
Patch available at https://phabricator.kde.org/D13493
Comment 3 Nate Graham 2018-06-19 22:44:35 UTC
Git commit 205d6b369cf53c19d6387e5b389f861ccc65c2aa by Nathaniel Graham.
Committed on 19/06/2018 at 22:36.
Pushed by ngraham into branch 'master'.

Auto-copy shared image link to clipboard

Summary:
Whenever an image is shared and a link is provided, the link is automatically copied to the clipboard.

We also rename the {nav Copy save location} checkbox to prevent user confusion with this new feature (and also to better reflect what the {nav Copy save location} feature actually does).
FIXED-IN 18.08.0

Test Plan:
Shared an image via Imgur. The link immediately appeared at the top of Klipper's history.

{F5918565}

Reviewers: #spectacle, #kde_applications, rkflx

Reviewed By: #spectacle, rkflx

Subscribers: kde-doc-english, rkflx

Tags: #documentation

Differential Revision: https://phabricator.kde.org/D13493

M  +1    -1    doc/index.docbook
M  +3    -1    src/Gui/KSMainWindow.cpp
M  +2    -2    src/Gui/SettingsDialog/GeneralOptionsPage.cpp
M  +1    -1    src/SpectacleConfig.cpp

https://commits.kde.org/spectacle/205d6b369cf53c19d6387e5b389f861ccc65c2aa